Submitted to Adiscon via ticket system. See:

  <https://bugzilla.redhat.com/show_bug.cgi?id=2141801>

diff --git a/configure b/configure
index 759bf0e49cb5d1fa..4b33ab400b380818 100755
--- a/configure
+++ b/configure
@@ -14231,10 +14231,9 @@ fi
 # Checks for libraries.
 save_LIBS=$LIBS
 LIBS=
-as_ac_Search=`$as_echo "ac_cv_search_clock_getm4_defn(2.69)" | $as_tr_sh`
-{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing clock_getm4_defn(2.69)" >&5
-$as_echo_n "checking for library containing clock_getm4_defn(2.69)... " >&6; }
-if eval \${$as_ac_Search+:} false; then :
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing clock_gettime" >&5
+$as_echo_n "checking for library containing clock_gettime... " >&6; }
+if ${ac_cv_search_clock_gettime+:} false; then :
   $as_echo_n "(cached) " >&6
 else
   ac_func_search_save_LIBS=$LIBS
@@ -14247,16 +14246,16 @@ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 #ifdef __cplusplus
 extern "C"
 #endif
-char clock_getm4_defn(2.69) ();
+char clock_gettime ();
 int
 main ()
 {
-return clock_getm4_defn(2.69) ();
+return clock_gettime ();
   ;
   return 0;
 }
 _ACEOF
-for ac_lib in '' 2.68time; do
+for ac_lib in '' rt; do
   if test -z "$ac_lib"; then
     ac_res="none required"
   else
@@ -14264,29 +14263,28 @@ for ac_lib in '' 2.68time; do
     LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
   fi
   if ac_fn_c_try_link "$LINENO"; then :
-  eval "$as_ac_Search=\$ac_res"
+  ac_cv_search_clock_gettime=$ac_res
 fi
 rm -f core conftest.err conftest.$ac_objext \
     conftest$ac_exeext
-  if eval \${$as_ac_Search+:} false; then :
+  if ${ac_cv_search_clock_gettime+:} false; then :
   break
 fi
 done
-if eval \${$as_ac_Search+:} false; then :
+if ${ac_cv_search_clock_gettime+:} false; then :
 
 else
-  eval "$as_ac_Search=no"
+  ac_cv_search_clock_gettime=no
 fi
 rm conftest.$ac_ext
 LIBS=$ac_func_search_save_LIBS
 fi
-eval ac_res=\$$as_ac_Search
-	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
-$as_echo "$ac_res" >&6; }
-eval ac_res=\$$as_ac_Search
+{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_clock_gettime" >&5
+$as_echo "$ac_cv_search_clock_gettime" >&6; }
+ac_res=$ac_cv_search_clock_gettime
 if test "$ac_res" != no; then :
   test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
-  rt
+
 fi
 
 LIBS=$save_LIBS
diff --git a/configure.ac b/configure.ac
index aad4993f242291a1..b4f791f7cac47a7d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -38,7 +38,7 @@ m4_ifdef([AX_IS_RELEASE], [
 # Checks for libraries.
 save_LIBS=$LIBS
 LIBS=
-AC_SEARCH_LIBS(clock_getm4_defn([AC_AUTOCONF_VERSION]), [2.68]time, rt)
+AC_SEARCH_LIBS(clock_gettime, rt)
 LIBS=$save_LIBS
 
 # Checks for header files.
